
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "turret_fizz"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "beemspider-fizz"

	actor[cp_actor_type]			= cat_fizz

	actor[cp_launch_hue_shift] = color

	actor[cp_hit_power]			= 5.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "glow1",80.0, 130.0, 0.0, 0.0 )
	c_set_random_anim( "glow2", 130.0, 200.0, 0.0, 0.0 )
	c_set_random_anim( "gridline", 100.0, 100.0, 0.0, 0.0 )

	c_add_fizz_between( "turret_fizz", "turret-base", "bone", "turret-1_sma", "bone", "barrier_damage_gamer", 30.0, 0.0, 50.0, 0.0 )
	c_add_fizz_between( "turret_fizz", "turret-base", "bone", "turret-1_med", "bone", "barrier_damage_gamer", 30.0, 0.0, 50.0, 0.0 )
	c_add_fizz_between( "turret_fizz", "turret-base", "bone", "turret-1_big", "bone", "barrier_damage_gamer", 30.0, 0.0, 50.0, 0.0 )
